ProyectoCrm/src/app/Modulos/ColorModulo/Paginas/fw-color/Componentes/fw-color-imagen/fw-color-imagen.component.html

<div class="form-row pt-2">
  <div class="form-group col-12 custom-file">
    <input class="custom-file-input" #flArchivo="" type="file" accept="image/*" (change)="CargarArchivo($event)" id="flArchivo"/>
    <label class="custom-file-label" for="flArchivo">Seleccionar archivo</label>
    <canvas #cvImagen="" id="cvImagen"></canvas>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ColorModulo/Paginas/fw-color/Componentes/fw-color-imagen/fw-color-imagen.component.pug
div.form-row.pt-2
  div.form-group.col-12.custom-file
    input(#flArchivo="", type="file", accept="image/*", (change)="CargarArchivo($event)").custom-file-input#flArchivo
    label(for="flArchivo").custom-file-label Seleccionar archivo
    canvas(#cvImagen="")#cvImagen
